Subject: Re: Inconsistent behaviour of display-buffer, pop-to-buffer

From: martin rudalics <[email-masked]>
Date: Sun, 04 Jan 2009 20:10:00 +0100

This bug should now have been resolved for CVS Emacs by the following
two fixes:

2008-09-11  Martin Rudalics  <[email-masked]>

	* window.el (pop-to-buffer): If the window for buffer-or-name is
	not on the selected frame, raise that window's frame and give it
	input focus.  (Bug#745)

2009-01-04  Martin Rudalics  <[email-masked]>

	* window.el (display-buffer): When a buffer is displayed in the
	selected and some other window, and not-this-window is non-nil,
	try to return that other window instead of popping up a new
	frame.  (Bug#30)

Thanks for reporting, martin.